--
-- Структура таблицы `config`
--

CREATE TABLE IF NOT EXISTS `config` (
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL DEFAULT 'Pingun',
  `url` varchar(30) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL,
  `theme` enum('orange','red','pink','green','blue') NOT NULL DEFAULT 'green',
  `email` varchar(60) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL DEFAULT 'info@pingun.local',
  `timeout` varchar(11) NOT NULL DEFAULT '9',
  `default_max_servers` int(11) NOT NULL DEFAULT '3',
  `captcha` enum('1','0') NOT NULL DEFAULT '1',
  `register` enum('1','0') NOT NULL DEFAULT '1',
  `version` varchar(35) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL DEFAULT '1.2.0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `config`
--

INSERT INTO `config` (`name`, `url`, `theme`, `email`, `timeout`, `default_max_servers`, `captcha`, `register`, `version`) VALUES
('Pingun', 'http://pingun.local/', 'red', 'bot@pingun.local', '10', 0, '0', '1', '3.9.2 Stabile');

-- --------------------------------------------------------

--
-- Структура таблицы `pushbullet`
--

CREATE TABLE IF NOT EXISTS `pushbullet` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `access_token` varchar(500) NOT NULL,
  `devices` text NOT NULL,
  `email` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `servers`
--

CREATE TABLE IF NOT EXISTS `servers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `server_url` varchar(300) CHARACTER SET latin1 NOT NULL,
  `display_name` varchar(150) COLLATE utf8_esperanto_ci NOT NULL,
  `email_to` varchar(100) CHARACTER SET latin1 NOT NULL,
  `last_down` datetime NOT NULL,
  `back_online` datetime NOT NULL,
  `last_check` datetime NOT NULL,
  `last_load` varchar(10) CHARACTER SET latin1 NOT NULL DEFAULT '0.000',
  `response_code` int(3) NOT NULL DEFAULT '200',
  `deleted` enum('1','0') CHARACTER SET latin1 NOT NULL DEFAULT '0',
  `disabled` enum('1','0') CHARACTER SET latin1 NOT NULL DEFAULT '0',
  `desktop_notif` enum('1','0') CHARACTER SET latin1 NOT NULL DEFAULT '1',
  `pushbullet` int(11) NOT NULL,
  `state` enum('active','down','unknown') CHARACTER SET latin1 NOT NULL DEFAULT 'unknown',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_esperanto_ci AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Структура таблицы `server_stats`
--

CREATE TABLE IF NOT EXISTS `server_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server_id` int(11) NOT NULL,
  `member_id` int(11) NOT NULL,
  `response_code` int(11) NOT NULL,
  `load_time` varchar(10) NOT NULL,
  `check_date` datetime NOT NULL,
  `state` enum('active','down') NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `sessions`
--

CREATE TABLE IF NOT EXISTS `sessions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `hash` text NOT NULL,
  `ip` varchar(60) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(100) NOT NULL,
  `max_servers` int(11) NOT NULL DEFAULT '0',
  `admin` enum('1','0') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `email`, `max_servers`, `admin`) VALUES
(2, 'user', '6fa663e52b3d7da9780204facb3032f889b243a82185d0ef4e21d1c3669896acca8aae3325dce8e72f82e9acde04f8c139b811423ca9732333ff31d75fbd9230', 'user@pingun.local', 3, '0'),
(1, 'admin', '0087cb3eead9d0bc1796172993099071c1495d7edc2531a8c3d3985616394666d08333cc9cb84354c0833f5918628446a4794db8a805a993f0b46f53e5c9e658', 'admin@pingun.local', 0, '1');