<!DOCTYPE html>
<html>
<head>
<title>Установка</title>
<!-- meta tags start -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!-- meta tags end -->

<!-- favorite icon starts -->
<link rel="shortcut icon" href="help-source/images/favicon.ico" type="image/x-icon" />
<!-- favorite icon ends -->

<!-- Google fonts start -->
<link href="http://fonts.googleapis.com/css?family=Droid+Sans:400,700" rel="stylesheet" type="text/css" />
<!-- Google fonts ends -->

<!-- CSS files start -->
<link href="help-source/css/framework.css" rel="stylesheet" type="text/css" />
<link href="help-source/css/style.css" rel="stylesheet" type="text/css" />
<!-- CSS files end -->

<!-- JavaScript files start -->
<script type="text/javascript" src="help-source/js/jquery.min.js"></script>
<script type="text/javascript" src="help-source/js/effects.jquery-ui.min.js"></script>
<script type="text/javascript" src="help-source/js/custom.js"></script>
<!-- JavaScript files end -->
</head>
<body>
<!-- website wrap starts -->
<div class="websiteWrapper"> 
  
  <!-- page wrap starts -->
  <div class="pageWrapper"> 
    
    <!-- section starts -->
    <div class="sectionWrapper" id="s1">
      <h4 class="sectionTitleWrapper"><span class="sectionTitle">База данных</span><span class="backToTopButton">top</span></h4>
      <p class="listItemWrapper">Создайте новую базу данных</p>
      <p class="listItemWrapper">Импортируйте <a href="help-source/dump.sql">dump.sql</a> файл в базу данных или выполните SQL запрос: </p>
	  <pre>
	  
--
-- Структура таблицы `config`
--

CREATE TABLE IF NOT EXISTS `config` (
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL DEFAULT 'Pingun',
  `url` varchar(30) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL,
  `theme` enum('orange','red','pink','green','blue') NOT NULL DEFAULT 'green',
  `email` varchar(60) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL DEFAULT 'info@pingun.local',
  `timeout` varchar(11) NOT NULL DEFAULT '9',
  `default_max_servers` int(11) NOT NULL DEFAULT '3',
  `captcha` enum('1','0') NOT NULL DEFAULT '1',
  `register` enum('1','0') NOT NULL DEFAULT '1',
  `version` varchar(35) CHARACTER SET utf8 COLLATE utf8_esperanto_ci NOT NULL DEFAULT '1.2.0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `config`
--

INSERT INTO `config` (`name`, `url`, `theme`, `email`, `timeout`, `default_max_servers`, `captcha`, `register`, `version`) VALUES
('Pingun', 'http://pingun.local/', 'red', 'bot@pingun.local', '10', 0, '0', '1', '3.9.2 Stabile');

-- --------------------------------------------------------

--
-- Структура таблицы `pushbullet`
--

CREATE TABLE IF NOT EXISTS `pushbullet` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `access_token` varchar(500) NOT NULL,
  `devices` text NOT NULL,
  `email` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `servers`
--

CREATE TABLE IF NOT EXISTS `servers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `server_url` varchar(300) CHARACTER SET latin1 NOT NULL,
  `display_name` varchar(150) COLLATE utf8_esperanto_ci NOT NULL,
  `email_to` varchar(100) CHARACTER SET latin1 NOT NULL,
  `last_down` datetime NOT NULL,
  `back_online` datetime NOT NULL,
  `last_check` datetime NOT NULL,
  `last_load` varchar(10) CHARACTER SET latin1 NOT NULL DEFAULT '0.000',
  `response_code` int(3) NOT NULL DEFAULT '200',
  `deleted` enum('1','0') CHARACTER SET latin1 NOT NULL DEFAULT '0',
  `disabled` enum('1','0') CHARACTER SET latin1 NOT NULL DEFAULT '0',
  `desktop_notif` enum('1','0') CHARACTER SET latin1 NOT NULL DEFAULT '1',
  `pushbullet` int(11) NOT NULL,
  `state` enum('active','down','unknown') CHARACTER SET latin1 NOT NULL DEFAULT 'unknown',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_esperanto_ci AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Структура таблицы `server_stats`
--

CREATE TABLE IF NOT EXISTS `server_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server_id` int(11) NOT NULL,
  `member_id` int(11) NOT NULL,
  `response_code` int(11) NOT NULL,
  `load_time` varchar(10) NOT NULL,
  `check_date` datetime NOT NULL,
  `state` enum('active','down') NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `sessions`
--

CREATE TABLE IF NOT EXISTS `sessions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `member_id` int(11) NOT NULL,
  `hash` text NOT NULL,
  `ip` varchar(60) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(100) NOT NULL,
  `max_servers` int(11) NOT NULL DEFAULT '0',
  `admin` enum('1','0') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `email`, `max_servers`, `admin`) VALUES
(2, 'user', '6fa663e52b3d7da9780204facb3032f889b243a82185d0ef4e21d1c3669896acca8aae3325dce8e72f82e9acde04f8c139b811423ca9732333ff31d75fbd9230', 'user@pingun.local', 3, '0'),
(1, 'admin', '0087cb3eead9d0bc1796172993099071c1495d7edc2531a8c3d3985616394666d08333cc9cb84354c0833f5918628446a4794db8a805a993f0b46f53e5c9e658', 'admin@pingun.local', 0, '1');
	  
	  
	  </pre>
    </div>
    <!-- section ends --> 
    
    <!-- section starts -->
    <div class="sectionWrapper" id="s2">
      <h4 class="sectionTitleWrapper"><span class="sectionTitle">Базовая конфигурация</span><span class="backToTopButton">Вверх</span></h4>
      <p>Откройте файл <u>config.php</u></p>
      <p class="listItemWrapper">Измените константы подключения к базе данных (6-9 строки):</p>
	  <pre>/* Настройки подключения к базе данных */
define("DB_HOST", "localhost"); // MySQL Хост
define("DB_USERNAME", "ping");  // MySQL Имя пользователя
define("DB_PASSWORD", "ping");  // MySQL Пароль
define("DB_DATABASE", "ping");  // MySQL База</pre>
      <p class="listItemWrapper">Измените константу <u>DEMO</u>, она отвечает за режим работы сайта ([0] Продакшн; [1] Демонстрация):</p>
	  <pre>define("DEMO", 1); // Демо доступ (0 = Рабочая версия; 1 = Демо)</pre>
      <p class="listItemWrapper">Измените константу <u>PWD_HASH</u>, она отвечает метот хеширование пароля (Рекомендуем использовать <u>whirlpool</u>):</p>
	  <pre>define("PWD_HASH", "whirlpool"); // Алгоритм шифрования пароля ("md5", "sha256", "whirlpool" и т. д.)
							     // Список поддерживаемых алгоритмов можно узнать при помощи функции hash_algos())</pre>
	  <p>Список поддерживаемых методов шифрования:</p>
	  <pre><? print_r(hash_algos()); ?></pre>
    </div>
    <!-- section ends --> 
    
    <!-- section starts -->
    <div class="sectionWrapper" id="s3">
      <h4 class="sectionTitleWrapper"><span class="sectionTitle">Авторизация</span><span class="backToTopButton">Вверх</span></h4>
      <p>В системе уже создано по умолчанию 2 аккаунта:</p>
      <p class="listItemWrapper">Администратор:</p>
	  <pre>Логин:  admin
Пароль: password123</pre>
      <p class="listItemWrapper">Пользователь:</p>
	  <pre>Логин:  user
Пароль: qwerty123</pre>
    </div>
    <!-- section ends -->
    
    <!-- section starts -->
    <div class="sectionWrapper" id="s4">
      <h4 class="sectionTitleWrapper"><span class="sectionTitle">Расширенная конфигурация</span><span class="backToTopButton">Вверх</span></h4>
      <p>Перейдите по адресу <u>http://ВашСайт/index.php?p=config</u> (Настройки сайта)</p>
      <p>Тут вы можете изменить "Название сайта", "E-mail" (Адрес для отправки уведомлений), "Timeout (в секундах)" (Время максимального ответа сервера при мониторинге), "Макс. серверов при регистрации", "Версия сайта", "URL сайта", "Цветовая схема", "Капча при авторизации", "Страница регистрации". </p>
	  <p>А так же увидеть Полный путь от корня, до сайта. А так же Cronjob.</p>
	</div>
    <!-- section ends --> 
    
    <!-- section starts -->
    <div class="sectionWrapper" id="s5">
      <h4 class="sectionTitleWrapper"><span class="sectionTitle">Cronjob</span><span class="backToTopButton">Вверх</span></h4>
      <p>Для того что бы происходил мониторинг сайтов. Вы должны создать Cron задачу на сервере. Для этого при помощи консоли/панели управления хостингом создайте новую задачу скопировав готовый шаблон задачи из <u>Настроек сайта</u>, пункт <u>Cronjob</u></p>
    </div>
    <!-- section ends -->  
    
     <!-- section starts -->
    <div class="sectionWrapper" id="s6">
      <h4 class="sectionTitleWrapper"><span class="sectionTitle">Дизайн</span><span class="backToTopButton">Вверх</span></h4>
      <p>PSD исходник дизайна сайта - <a href="help-source/index.psd">index.psd</a></p>
    </div>
    <!-- section ends --> 
    
    <!-- section starts -->
    <div class="sectionWrapper" id="s7">
      <h4 class="sectionTitleWrapper"><span class="sectionTitle">Памятка</span><span class="backToTopButton">Вверх</span></h4>
      <p>После установки не забудте удалить папку _install в корне сайта.</p>
    </div>
    <!-- section ends -->  
    
    <!-- copyright wrap starts -->
    <div class="copyrightWrapper"> <span class="copyright">&copy; Ivan Danilov </div>
    <!-- copyright wrap ends --> 
    
  </div>
  <!-- page wrap ends --> 
  
</div>
<!-- website wrap ends -->
</body>
</html>
