<?php
require_once("includes/autoload.php");

# Вывод uptime
if (isset($_GET['uptime'])) {
	
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Expires: " . date("r"));
	
	$id = (int) $_GET['uptime'];
	$count = $db->query("SELECT id FROM server_stats WHERE server_id='{$id}'");
	$uptime = 0;
	
	if ($count->num_rows != "0") {
		$succeed = $db->query("SELECT * FROM server_stats WHERE server_id='{$id}' AND (response_code >='200' OR response_code<='415')");
		$succeed = $succeed->num_rows;
		$failed = $db->query("SELECT * FROM server_stats WHERE server_id='{$id}' AND (response_code <'200' OR response_code>='415')");
		$failed = $failed->num_rows;
		$uptime = $function->Uptime($succeed, $failed);
	} 
	
	$uptime = round($uptime, 2);
	
	$img = imagecreatefrompng("assets/images/uptime.png");
	$black = imagecolorallocate($img, 41, 24, 3);
	imagestring($img, 2, 47, 1, $uptime . "%", $black);
	header("Content-Type: image/png");
	imagePNG($img);
	
	

	die();
}

if(!$login->LoggedIn) {
	Header("Location: signin.php");
	die();
}

if(isset($_GET['signout'])) {
	$cookie->Delete("LoggedIn_Token");
	header("Location: signin.php");
	die();
}

?><!DOCTYPE html>
<html>
<head>
	<title><?= $config['name']; ?> - Панель</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
	<link rel="shortcut icon" href="/mages/common/favicon.ico" type="image/x-icon" />
	<link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css' />

	<link href="/assets/css/framework.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/colorbox.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/elements.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/style.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/responsive.css" rel="stylesheet" type="text/css" media="screen" />
	<link href="/assets/css/hidpi.css" rel="stylesheet" type="text/css" media="screen" />
	<style>@import url('/assets/css/skins/<?= $config['theme']; ?>.css');</style>
	<link href="/assets/css/custom.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/font-awesome.min.css" rel="stylesheet" type="text/css" media="all" />	


	<script type="text/javascript" src="/assets/js/jquery.min.js"></script>
	<script type="text/javascript" src="/assets/js/effects.jquery-ui.min.js"></script>
	<script type="text/javascript" src="/assets/js/jquery.nivo-slider.min.js"></script>
	<script type="text/javascript" src="/assets/js/jquery.colorbox.min.js"></script>
	<script type="text/javascript" src="/assets/js/custom.js"></script>
	
	<script src="/assets/js/bootstrap.min.js"></script>
	<script src="/assets/js/jquery.knob.min.js"></script>
	<script src="/assets/js/google.js"></script>

	<script type="text/javascript">
		$(function () {
			$('[data-toggle="tooltip"]').tooltip()
			$(".dial").knob();
		})
	</script>
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>

<body>
<div class="websiteWrapper"> 
  
  <div class="headerOuterWrapper">
    <div class="headerWrapper"> <a class="mainLogo" href="/"><img src="/assets/images/common/mainLogo.png" alt=""/></a> <a href="" class="mainMenuButton"></a> </div>
    
    <ul class="mainMenuWrapper">
	  <li class="<?= $function->Active_Page("/") . $function->Active_Page("dashboard"); ?>"><a href="/index.php">Панель</a></li>
	  <li class="<?= $function->Active_Page("server_manager"); ?>"><a href="/index.php?p=server_manager">Сервера</a></li>
	  <li class="<?= $function->Active_Page("pushbullet"); ?>"><a href="/index.php?p=pushbullet">Уведомления</a></li>
	  <? if($login->Access()) { ?>
	    <li class="<?= $function->Active_Page("config"); ?>"><a href="/index.php?p=config">Настройки сайта</a></li>
	    <li class="<?= $function->Active_Page("users"); ?>"><a href="/index.php?p=users">Управление пользователями</a></li>
	  <? } ?>
	  <li class="<?= $function->Active_Page("account_settings"); ?>"><a href="/index.php?p=account_settings">Настройки аккаунта</a></li>
	  <li><a href="/index.php?signout">Выйти</a></li>
    </ul>
    
  </div>
  
  <? if(DEMO == 0) { ?>
    <noscript>
	  <p class="topNotification"><span>Ваш браузер не поддерживает JavaScript. Стабильная работа сайта не гарантирована.</span><a href="" class="notificationButton"></a></p>
    </noscript>
  <? }else{ ?>
	<p class="topNotification"><span>Включен Demo режим работы сайта. Любые изменения вносимые в систему будут игнорироваться.</span><a href="" class="notificationButton"></a></p>
  <? } ?>
  
  <div class="pageWrapper contactPageWrapper"> 
    <?php include("includes/pagesystem.php"); ?>
  </div>
  
  <div class="footerWrapper"> 
    <div class="copyrightWrapper"> 
      <span class="copyright">&copy; copyright <?php echo $config['name']; ?> (v<?php echo $config['version']; ?>).</span> 
      <a href="" class="backToTopButton"></a> 
    </div>
  </div>
  
</div>
</body>
</html>

<?php
$db->close();
?>