<div class="pageContentWrapper contactPageWrapper">
  <h3 class="pageTitle">Настройки сайта</h3>
  <?php
  if(!$login->Access()) {
	echo '<div class="alertBox alertBoxStop"><p class="alertBoxContent">Ошибка доступа</p> <a href="/" class="alertBoxButton"></a> </div>';   
  }else{
    $name = $config['name'];
    $email = $config['email'];
    $timeout = $config['timeout'];
    $servers = $config['default_max_servers'];
    $captcha = $config['captcha'];
    $register = $config['register'];
    $version = $config['version'];
    $url = $config['url'];
    $theme = $config['theme'];

    if(isset($_POST['submit'])) {
	  $name = $db->real_escape_string(html($_POST['name']));
	  $email = $db->real_escape_string(html($_POST['email']));
	  $timeout = $db->real_escape_string(html($_POST['timeout']));
	  $servers = $db->real_escape_string(html($_POST['servers']));
	  $captcha = $db->real_escape_string(html($_POST['captcha']));
	  $register = $db->real_escape_string(html($_POST['register']));
	  $version = $db->real_escape_string(html($_POST['version']));
	  $url = $db->real_escape_string(html($_POST['url']));
	  $theme = $db->real_escape_string(html($_POST['theme']));

	  if(empty($name) || empty($email) || empty($timeout) || !is_numeric($timeout) || !is_numeric($servers) || empty($version) || empty($url)) {
		echo '<div class="alertBox alertBoxWarning"><p class="alertBoxContent">Вы не заполнили одно или несколько полей.</p> <a href="" class="alertBoxButton"></a> </div>'; 
	  }elseif(!filter_var($email, FILTER_VALIDATE_EMAIL)) {
		echo '<div class="alertBox alertBoxWarning"><p class="alertBoxContent">Пожалуйста, введите корректный e-mail адрес.</p> <a href="" class="alertBoxButton"></a> </div>'; 		
	  }else{
		echo '<div class="alertBox alertBoxGo"><p class="alertBoxContent">Настройки были успешно сохранены</p> <a href="" class="alertBoxButton"></a> </div>';
		if(DEMO == 0) {
		  $db->query("UPDATE config SET name='{$name}', email='{$email}', default_max_servers='{$servers}', timeout='{$timeout}', captcha='{$captcha}', register='{$register}', version='{$version}', url='{$url}', version='{$version}', theme='{$theme}'");
		}
	  }
    }
?>

    <div class="contactFormWrapper">
      <form method="post" class="contactForm">
        <?php echo $csrf->CreateInput(); ?>
        <fieldset>
          <div class="formFieldWrapper">
            <label for="name">Название сайта:</label>
            <input type="text" name="name" value="<?= $name; ?>" class="contactField requiredField" id="name" required />
          </div>
          <div class="formFieldWrapper">
            <label for="email">E-mail:</label>
            <input type="text" name="email" value="<?= $email; ?>" class="contactField requiredField" id="email" required />
          </div>
          <div class="formFieldWrapper">
            <label for="timeout">Timeout (в секундах):</label>
            <input type="text" name="timeout" value="<?= $timeout; ?>" class="contactField" id="timeout" />
          </div>
          <div class="formFieldWrapper">
            <label for="servers">Макс. серверов при регистрации (0 = &#8734;):</label>
            <input type="text" name="servers" value="<?= $servers; ?>" class="contactField" id="servers" />
          </div>
          <div class="formFieldWrapper">
            <label for="version">Версия сайта:</label>
            <input type="text" name="version" value="<?= $version; ?>" class="contactField" id="version" />
          </div>
          <div class="formFieldWrapper">
            <label for="url">URL сайта:</label>
            <input type="text" name="url" value="<?= $url; ?>" class="contactField" id="url" />
          </div>
          <div class="formFieldWrapper">
            <label for="theme">Цветовая схема:</label>
			<select name="theme" id="theme" class="contactField">
			<? echo '<option '.(($theme == "orange") ? "selected" : "").' value="orange">Оранжевый</option>';
			   echo '<option '.(($theme == "red") ? "selected" : "").' value="red">Красный</option>';
			   echo '<option '.(($theme == "pink") ? "selected" : "").' value="pink">Розовый</option>';
			   echo '<option '.(($theme == "green") ? "selected" : "").' value="green">Зеленый</option>';
			   echo '<option '.(($theme == "blue") ? "selected" : "").' value="blue">Синий</option>'; ?>
			</select>
          </div>
          <div class="formFieldWrapper">
            <label for="captcha">Капча при авторизации:</label>
			<select name="captcha" id="captcha" class="contactField">
			<? echo '<option '.(($captcha == "1") ? "selected" : "").' value="1">Включена</option>';
			   echo '<option '.(($captcha == "0") ? "selected" : "").' value="0">Выключена</option>'; ?>
			</select>
          </div>
          <div class="formFieldWrapper">
            <label for="register">Страница регистрации:</label>
			<select name="register" id="register" class="register">
			<? echo '<option '.(($register == "1") ? "selected" : "").' value="1">Включена</option>';
			   echo '<option '.(($register == "0") ? "selected" : "").' value="0">Выключена</option>'; ?>
			</select>
          </div>
          <div class="formFieldWrapper">
            <label for="cronjob">Cronjob:</label>
            <input type="text" name="cronjob" class="contactField" id="cronjob" value="*/1 * * * * /usr/local/bin/php <?php echo PATH; ?>/cronjob/Checker.php >/dev/null 2>&1" onclick="this.setSelectionRange(0, this.value.length)" readonly />
          </div>
          <div class="formFieldWrapper">
            <label for="patch">Путь до сайта:</label>
            <input type="text" name="patch" class="contactField" id="patch" value="<?php echo PATH; ?>/" onclick="this.setSelectionRange(0, this.value.length)" readonly />
          </div>
		  <input type="submit" name="submit" class="buttonWrapper contactSubmitButton" value="Сохранить" />
        </fieldset>
      </form>
    </div>
<?php } ?>
</div>