<?php
require_once("includes/autoload.php");
if($login->LoggedIn) {
	Header("Location: index.php");
	die();
}

if($config['register'] == "0") {
	Header("Location: signin.php");
	die();
}

$output = "";
$username = "";
$email = "";

$showform = true;

$form_names = array(
					"username" => array("required" => 1),
					"email" => array("required" => 1),
					"password" => array("required" => 1),
					"r_password" => array("required" => 1),
					"captcha" => array("required" => 1)
				);
	
if(isset($_POST['log-me-in'])) {
	$username = ((!empty($_POST['username'])) ? $_POST['username'] : "");
	$email = ((!empty($_POST['email'])) ? $_POST['email'] : "");
	if($csrf->CheckForms($form_names)) {
		if($csrf->CheckToken()) {
			if($_SESSION['captcha'] != hash("sha256", $_POST['captcha'])) {
				$output = '<div class="alertBox alertBoxWarning"><p class="alertBoxContent">Введенная вами капча неверна</p><a href="" class="alertBoxButton"></a> </div>';
			}else{
				try {
					if($config['captcha'] == "1") { $captcha = $_POST['captcha']; }
					$login->AddUser($_POST['username'], $_POST['email'], $_POST['password'], $_POST['r_password']);
					$output = '<div class="alertBox alertBoxGo"><p class="alertBoxContent">Здравствуйте '.html($_POST['username']).', ваш аккаунт создан. Теперь вы можете войти со своими учетными данными</p><a href="" class="alertBoxButton"></a> </div>';
					$showform = false;
				}
				catch(LoginError $e) {
					$output = '<div class="alertBox alertBoxStop"><p class="alertBoxContent">' . $e->getMessage() . '</p><a href="" class="alertBoxButton"></a> </div>';
				}
			}
		}else{
			$output = '<div class="alertBox alertBoxWarning"><p class="alertBoxContent">Недействительный CSRF ключ, пожалуйста, обновите страницу.</p><a href="" class="alertBoxButton"></a> </div>';
		}
	}else{
		$output = '<div class="alertBox alertBoxWarning"><p class="alertBoxContent">Пожалуйста, заполните все поля.</p><a href="" class="alertBoxButton"></a> </div>';
	}
}
?><!DOCTYPE html>
<html>
<head>
	<title><?= $config['name']; ?> - Регистрация</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
	<link rel="shortcut icon" href="/mages/common/favicon.ico" type="image/x-icon" />
	<link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css' />

	<link href="/assets/css/framework.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/colorbox.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/elements.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/style.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/responsive.css" rel="stylesheet" type="text/css" media="screen" />
	<link href="/assets/css/hidpi.css" rel="stylesheet" type="text/css" media="screen" />
	<style>@import url('/assets/css/skins/<?= $config['theme']; ?>.css');</style>
	<link href="/assets/css/custom.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/assets/css/font-awesome.min.css" rel="stylesheet" type="text/css" media="all" />	


	<script type="text/javascript" src="/assets/js/jquery.min.js"></script>
	<script type="text/javascript" src="/assets/js/effects.jquery-ui.min.js"></script>
	<script type="text/javascript" src="/assets/js/jquery.nivo-slider.min.js"></script>
	<script type="text/javascript" src="/assets/js/jquery.colorbox.min.js"></script>
	<script type="text/javascript" src="/assets/js/custom.js"></script>
	
	<script src="/assets/js/bootstrap.min.js"></script>
	<script src="/assets/js/jquery.knob.min.js"></script>
	<script src="/assets/js/google.js"></script>

	<script type="text/javascript">
		$(function () {
			$('[data-toggle="tooltip"]').tooltip()
			$(".dial").knob();
		})
	</script>
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->
</head>


<body>
<div class="websiteWrapper"> 
  
  <div class="headerOuterWrapper">
    <div class="headerWrapper"> <a class="mainLogo" href="/"><img src="/assets/images/common/mainLogo.png" alt=""/></a> <a href="" class="mainMenuButton"></a> </div>
    
    <ul class="mainMenuWrapper">
		<?php if($config['register'] == "1") { ?>
			<li><a href="/signin.php">Авторизация</a></li>
			<li class="currentPage"><a href="/register.php">Регистрация</a></li>
		<?php } ?>
    </ul>
    
  </div>
  
  <? if(DEMO == 0) { ?>
    <noscript>
	  <p class="topNotification"><span>Ваш браузер не поддерживает JavaScript. Стабильная работа сайта не гарантирована.</span><a href="" class="notificationButton"></a></p>
    </noscript>
  <? }else{ ?>
	<p class="topNotification"><span>Включен Demo режим работы сайта. Любые изменения вносимые в систему будут игнорироваться.</span><a href="" class="notificationButton"></a></p>
  <? } ?>
  
  <div class="pageWrapper contactPageWrapper"> 
    
    <div class="contactFormWrapper">
      <h4 class="contactTitle">Регистрация</h4>
	  <?php echo $output; ?>	
      <form method="post" class="contactForm">
	    <?php echo $csrf->CreateInput(); ?>
        <fieldset>
          <div class="formFieldWrapper">
            <label for="username">Имя пользователя:</label>
            <input type="text" name="username" value="<?= $username; ?>" class="contactField requiredField" id="username" data-placeholder="Введите ваше имя пользователя." autofocus />
          </div>
          <div class="formFieldWrapper">
            <label for="email">E-mail:</label>
            <input type="text" name="email" value="" class="contactField requiredField" id="email" data-placeholder="xxxxxxx@mail.ru" />
          </div>
          <div class="formFieldWrapper">
            <label for="password">Пароль:</label>
            <input type="text" name="password" value="" class="contactField requiredField" id="password" data-placeholder="Введите пароль." />
          </div>
          <div class="formFieldWrapper">
            <label for="r_password">Повторите пароль:</label>
            <input type="text" name="r_password" value="" class="contactField requiredField" id="r_password" data-placeholder="Повторите пароль" />
          </div>
		  <div class="formFieldWrapper">
		    <label for="captcha" class="sr-only">Капча</label>
		    <input type="text" class="contactField requiredField" name="captcha" id="captcha" placeholder="Капча" value="" tabindex="3" /><br />
		    <img src="assets/captcha/image.php" style="background-color: #fff; border: 3px solid #333;" />
		  </div>
		  <input type="submit" name="log-me-in" class="buttonWrapper contactSubmitButton" value="Регистрация" />
        </fieldset>
      </form>
    </div>
    
  </div>
  
  <div class="footerWrapper"> 
    <div class="copyrightWrapper"> 
      <span class="copyright">&copy; copyright <?php echo $config['name']; ?> (v<?php echo $config['version']; ?>).</span> 
      <a href="" class="backToTopButton"></a> 
    </div>
  </div>
  
</div>
</body>
</html>

<?php
$db->close();
?>